# Uses of Class
org.apache.sling.servlethelpers.MockJakartaHttpSession

Packages that use MockJakartaHttpSession
Package
Description
org.apache.sling.servlethelpers
Mock implementation of selected Servlet-related Sling APIs.

## Uses of MockJakartaHttpSession in org.apache.sling.servlethelpers

Methods in org.apache.sling.servlethelpers that return MockJakartaHttpSession
Modifier and Type
Method
Description
`protected MockJakartaHttpSession`
MockSlingJakartaHttpServletRequest.`newMockHttpSession()`
Constructors in org.apache.sling.servlethelpers with parameters of type MockJakartaHttpSession
Modifier
Constructor
Description
``
`MockHttpSession(MockJakartaHttpSession wrappedSession)`
Deprecated.